Retrieve Provision Token Request
Check the status of a create_payment_token
or update_payment_token API calls.
The retrieve_provision_token_request endpoint returns details about the request to
create or update a payment_token. This endpoint is only provided as a fall back to
the payment_token_updated webhook and is only necessary
for as fallback for the payment_token_updated webhook.
Request Notes
Path Params:
- provision_token_request_id (Required): The
provision_token_request_idstring returned by Truemed to the partner either:- in response to a
create_payment_tokenrequest - in a response to a
update_payment_tokenrequest
- in response to a
Response Notes
Success Case
HTTP Status: 200
- payment_token (Optional): string - the
payment_tokencreated as part of theprovision_request, if one exists. Null otherwise.- Use the
retrieve_payment_tokenendpoint to get more information on the token.
- Use the
- metadata: (Optional) - returned if supplied in the call to
create_payment_token.
Authentication
Sales channel API key for merchant server-to-server authentication
Path parameters
The ID of a ProvisionTokenRequest returned via create_payment_token
Response
The metadata string you provided as part of the create_payment_token request for the ProvisionTokenRequest. Will be null if no metadata was provided
The PaymentToken created as part of create_payment_token for the ProvisionTokenRequest. Will be null if the PaymentToken has not been provisioned yet